org.apache.cassandra.cql3.restrictions

## Class TokenRestriction.EQRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.TokenRestriction
  - - org.apache.cassandra.cql3.restrictions.TokenRestriction.EQRestriction

Enclosing class:
  TokenRestriction

    public static final class TokenRestriction.EQRestriction
    extends TokenRestriction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.TokenRestriction

`TokenRestriction.EQRestriction, TokenRestriction.SliceRestriction`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.restrictions.TokenRestriction

`columnDefs, metadata`

### Constructor Summary

Constructors
Constructor and Description
`EQRestriction(CFMetaData cfm, java.util.List<ColumnDefinition> columnDefs, Term value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFunctionsTo(java.util.List<Function> functions)`
`java.util.List<java.nio.ByteBuffer>` `bounds(Bound b, QueryOptions options)`
`protected org.apache.cassandra.cql3.restrictions.PartitionKeyRestrictions` `doMergeWith(TokenRestriction otherRestriction)` Merges this restriction with the specified `TokenRestriction`.
`boolean` `hasBound(Bound b)`
`boolean` `hasContains()`
`boolean` `isInclusive(Bound b)`
`java.util.List<java.nio.ByteBuffer>` `values(QueryOptions options)`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.TokenRestriction

`addRowFilterTo, getColumnDefs, getColumnNamesAsString, getFirstColumn, getLastColumn, getRestrictions, hasIN, hasOnlyEqualityRestrictions, hasSlice, hasSupportingIndex, hasUnrestrictedPartitionKeyComponents, isEmpty, isOnToken, mergeWith, needFiltering, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EQRestriction

    public EQRestriction(CFMetaData cfm,
                         java.util.List<ColumnDefinition> columnDefs,
                         Term value)

### Method Detail

#### addFunctionsTo

    public void addFunctionsTo(java.util.List<Function> functions)

#### doMergeWith

    protected org.apache.cassandra.cql3.restrictions.PartitionKeyRestrictions doMergeWith(TokenRestriction otherRestriction)
                                                                                   throws InvalidRequestException

Description copied from class: `TokenRestriction`
Merges this restriction with the specified `TokenRestriction`.

Specified by:
  `doMergeWith` in class `TokenRestriction`
Parameters:
  `otherRestriction` - the `TokenRestriction` to merge with.
Throws:
  `InvalidRequestException`

#### bounds

    public java.util.List<java.nio.ByteBuffer> bounds(Bound b,
                                                      QueryOptions options)
                                               throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### hasBound

    public boolean hasBound(Bound b)

#### isInclusive

    public boolean isInclusive(Bound b)

#### values

    public java.util.List<java.nio.ByteBuffer> values(QueryOptions options)
                                               throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### hasContains

    public boolean hasContains()